<?php

namespace App\ExternalApis\ConsendoAxp\Soap;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'ArrayOfString' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\ArrayType\\ArrayOfString',
            'AxpCustomer' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpCustomer',
            'AxpCustomerContact' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpCustomerContact',
            'AxpTemp' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpTemp',
            'document' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\Document_1',
            'AxpTempBizareas' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpTempBizareas',
            'AxpTempSkills' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpTempSkills',
            'AxpTempHist' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpTempHist',
            'AxpTempAnnotation' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpTempAnnotation',
            'AxpTempEdu' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpTempEdu',
            'message' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\Message',
            'AxpProjectItem' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpProjectItem',
            'AxpProject' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpProject',
            'AxpStampclockData' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpStampclockData',
            'AxpCustomerRaw' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpCustomerRaw',
            'AxpCustomerContactRaw' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpCustomerContactRaw',
            'AxpBusinessArea' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpBusinessArea',
            'AxpDepartment' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpDepartment',
            'AxpErpSegment' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpErpSegment',
            'AxpPersonalInterest' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpPersonalInterest',
            'ErpGuestData' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\ErpGuestData',
            'AxpActivityType' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpActivityType',
            'AxpFieldOfWork' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpFieldOfWork',
            'AxpCompanyForm' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpCompanyForm',
            'AxpTempRaw' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpTempRaw',
            'AxpTempSkillGroups' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpTempSkillGroups',
            'AxpConsultant' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpConsultant',
            'AxpCustomerGroup' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpCustomerGroup',
            'AxpTempOrder' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpTempOrder',
            'AxpOrder' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpOrder',
            'AxpOrderLine' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpOrderLine',
            'AxpContract' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpContract',
            'AxpBookingShift' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpBookingShift',
            'AxpBooking' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpBooking',
            'AxpArea' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpArea',
            'AxpNote' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpNote',
            'AxpNationality' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpNationality',
            'AxpGuestfieldData' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpGuestfieldData',
            'registrationDataTime' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\RegistrationDataTime',
            'AxpShiftData' => '\\App\\ExternalApis\\ConsendoAxp\\Soap\\StructType\\AxpShiftData',
        );
    }
}
