<?php

namespace App\ExternalApis\ConsendoAxp\Soap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AxpBookingShift StructType
 * @subpackage Structs
 */
class AxpBookingShift extends AbstractStructBase
{
    /**
     * The date
     * @var string
     */
    public $date;
    /**
     * The planned_from
     * @var string
     */
    public $planned_from;
    /**
     * The planned_to
     * @var string
     */
    public $planned_to;
    /**
     * The planned_break
     * @var float
     */
    public $planned_break;
    /**
     * The registered_from
     * @var string
     */
    public $registered_from;
    /**
     * The registered_to
     * @var string
     */
    public $registered_to;
    /**
     * The registered_break
     * @var float
     */
    public $registered_break;
    /**
     * The ill
     * @var bool
     */
    public $ill;
    /**
     * The inactive
     * @var bool
     */
    public $inactive;
    /**
     * The temp_approved
     * @var bool
     */
    public $temp_approved;
    /**
     * The customer_approved
     * @var bool
     */
    public $customer_approved;
    /**
     * The agency_approved
     * @var bool
     */
    public $agency_approved;
    /**
     * The erp_exported
     * @var bool
     */
    public $erp_exported;
    /**
     * Constructor method for AxpBookingShift
     * @uses AxpBookingShift::setDate()
     * @uses AxpBookingShift::setPlanned_from()
     * @uses AxpBookingShift::setPlanned_to()
     * @uses AxpBookingShift::setPlanned_break()
     * @uses AxpBookingShift::setRegistered_from()
     * @uses AxpBookingShift::setRegistered_to()
     * @uses AxpBookingShift::setRegistered_break()
     * @uses AxpBookingShift::setIll()
     * @uses AxpBookingShift::setInactive()
     * @uses AxpBookingShift::setTemp_approved()
     * @uses AxpBookingShift::setCustomer_approved()
     * @uses AxpBookingShift::setAgency_approved()
     * @uses AxpBookingShift::setErp_exported()
     * @param string $date
     * @param string $planned_from
     * @param string $planned_to
     * @param float $planned_break
     * @param string $registered_from
     * @param string $registered_to
     * @param float $registered_break
     * @param bool $ill
     * @param bool $inactive
     * @param bool $temp_approved
     * @param bool $customer_approved
     * @param bool $agency_approved
     * @param bool $erp_exported
     */
    public function __construct($date = null, $planned_from = null, $planned_to = null, $planned_break = null, $registered_from = null, $registered_to = null, $registered_break = null, $ill = null, $inactive = null, $temp_approved = null, $customer_approved = null, $agency_approved = null, $erp_exported = null)
    {
        $this
            ->setDate($date)
            ->setPlanned_from($planned_from)
            ->setPlanned_to($planned_to)
            ->setPlanned_break($planned_break)
            ->setRegistered_from($registered_from)
            ->setRegistered_to($registered_to)
            ->setRegistered_break($registered_break)
            ->setIll($ill)
            ->setInactive($inactive)
            ->setTemp_approved($temp_approved)
            ->setCustomer_approved($customer_approved)
            ->setAgency_approved($agency_approved)
            ->setErp_exported($erp_exported);
    }
    /**
     * Get date value
     * @return string|null
     */
    public function getDate()
    {
        return $this->date;
    }
    /**
     * Set date value
     * @param string $date
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpBookingShift
     */
    public function setDate($date = null)
    {
        // validation for constraint: string
        if (!is_null($date) && !is_string($date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($date)), __LINE__);
        }
        $this->date = $date;
        return $this;
    }
    /**
     * Get planned_from value
     * @return string|null
     */
    public function getPlanned_from()
    {
        return $this->planned_from;
    }
    /**
     * Set planned_from value
     * @param string $planned_from
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpBookingShift
     */
    public function setPlanned_from($planned_from = null)
    {
        // validation for constraint: string
        if (!is_null($planned_from) && !is_string($planned_from)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($planned_from)), __LINE__);
        }
        $this->planned_from = $planned_from;
        return $this;
    }
    /**
     * Get planned_to value
     * @return string|null
     */
    public function getPlanned_to()
    {
        return $this->planned_to;
    }
    /**
     * Set planned_to value
     * @param string $planned_to
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpBookingShift
     */
    public function setPlanned_to($planned_to = null)
    {
        // validation for constraint: string
        if (!is_null($planned_to) && !is_string($planned_to)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($planned_to)), __LINE__);
        }
        $this->planned_to = $planned_to;
        return $this;
    }
    /**
     * Get planned_break value
     * @return float|null
     */
    public function getPlanned_break()
    {
        return $this->planned_break;
    }
    /**
     * Set planned_break value
     * @param float $planned_break
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpBookingShift
     */
    public function setPlanned_break($planned_break = null)
    {
        $this->planned_break = $planned_break;
        return $this;
    }
    /**
     * Get registered_from value
     * @return string|null
     */
    public function getRegistered_from()
    {
        return $this->registered_from;
    }
    /**
     * Set registered_from value
     * @param string $registered_from
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpBookingShift
     */
    public function setRegistered_from($registered_from = null)
    {
        // validation for constraint: string
        if (!is_null($registered_from) && !is_string($registered_from)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($registered_from)), __LINE__);
        }
        $this->registered_from = $registered_from;
        return $this;
    }
    /**
     * Get registered_to value
     * @return string|null
     */
    public function getRegistered_to()
    {
        return $this->registered_to;
    }
    /**
     * Set registered_to value
     * @param string $registered_to
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpBookingShift
     */
    public function setRegistered_to($registered_to = null)
    {
        // validation for constraint: string
        if (!is_null($registered_to) && !is_string($registered_to)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($registered_to)), __LINE__);
        }
        $this->registered_to = $registered_to;
        return $this;
    }
    /**
     * Get registered_break value
     * @return float|null
     */
    public function getRegistered_break()
    {
        return $this->registered_break;
    }
    /**
     * Set registered_break value
     * @param float $registered_break
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpBookingShift
     */
    public function setRegistered_break($registered_break = null)
    {
        $this->registered_break = $registered_break;
        return $this;
    }
    /**
     * Get ill value
     * @return bool|null
     */
    public function getIll()
    {
        return $this->ill;
    }
    /**
     * Set ill value
     * @param bool $ill
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpBookingShift
     */
    public function setIll($ill = null)
    {
        // validation for constraint: boolean
        if (!is_null($ill) && !is_bool($ill)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($ill)), __LINE__);
        }
        $this->ill = $ill;
        return $this;
    }
    /**
     * Get inactive value
     * @return bool|null
     */
    public function getInactive()
    {
        return $this->inactive;
    }
    /**
     * Set inactive value
     * @param bool $inactive
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpBookingShift
     */
    public function setInactive($inactive = null)
    {
        // validation for constraint: boolean
        if (!is_null($inactive) && !is_bool($inactive)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($inactive)), __LINE__);
        }
        $this->inactive = $inactive;
        return $this;
    }
    /**
     * Get temp_approved value
     * @return bool|null
     */
    public function getTemp_approved()
    {
        return $this->temp_approved;
    }
    /**
     * Set temp_approved value
     * @param bool $temp_approved
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpBookingShift
     */
    public function setTemp_approved($temp_approved = null)
    {
        // validation for constraint: boolean
        if (!is_null($temp_approved) && !is_bool($temp_approved)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($temp_approved)), __LINE__);
        }
        $this->temp_approved = $temp_approved;
        return $this;
    }
    /**
     * Get customer_approved value
     * @return bool|null
     */
    public function getCustomer_approved()
    {
        return $this->customer_approved;
    }
    /**
     * Set customer_approved value
     * @param bool $customer_approved
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpBookingShift
     */
    public function setCustomer_approved($customer_approved = null)
    {
        // validation for constraint: boolean
        if (!is_null($customer_approved) && !is_bool($customer_approved)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($customer_approved)), __LINE__);
        }
        $this->customer_approved = $customer_approved;
        return $this;
    }
    /**
     * Get agency_approved value
     * @return bool|null
     */
    public function getAgency_approved()
    {
        return $this->agency_approved;
    }
    /**
     * Set agency_approved value
     * @param bool $agency_approved
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpBookingShift
     */
    public function setAgency_approved($agency_approved = null)
    {
        // validation for constraint: boolean
        if (!is_null($agency_approved) && !is_bool($agency_approved)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($agency_approved)), __LINE__);
        }
        $this->agency_approved = $agency_approved;
        return $this;
    }
    /**
     * Get erp_exported value
     * @return bool|null
     */
    public function getErp_exported()
    {
        return $this->erp_exported;
    }
    /**
     * Set erp_exported value
     * @param bool $erp_exported
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpBookingShift
     */
    public function setErp_exported($erp_exported = null)
    {
        // validation for constraint: boolean
        if (!is_null($erp_exported) && !is_bool($erp_exported)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($erp_exported)), __LINE__);
        }
        $this->erp_exported = $erp_exported;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpBookingShift
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
