<?php

namespace App\ExternalApis\ConsendoAxp\Soap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AxpCompanyForm StructType
 * @subpackage Structs
 */
class AxpCompanyForm extends AbstractStructBase
{
    /**
     * The cfid
     * @var int
     */
    public $cfid;
    /**
     * The label
     * @var string
     */
    public $label;
    /**
     * Constructor method for AxpCompanyForm
     * @uses AxpCompanyForm::setCfid()
     * @uses AxpCompanyForm::setLabel()
     * @param int $cfid
     * @param string $label
     */
    public function __construct($cfid = null, $label = null)
    {
        $this
            ->setCfid($cfid)
            ->setLabel($label);
    }
    /**
     * Get cfid value
     * @return int|null
     */
    public function getCfid()
    {
        return $this->cfid;
    }
    /**
     * Set cfid value
     * @param int $cfid
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpCompanyForm
     */
    public function setCfid($cfid = null)
    {
        // validation for constraint: int
        if (!is_null($cfid) && !is_numeric($cfid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($cfid)), __LINE__);
        }
        $this->cfid = $cfid;
        return $this;
    }
    /**
     * Get label value
     * @return string|null
     */
    public function getLabel()
    {
        return $this->label;
    }
    /**
     * Set label value
     * @param string $label
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpCompanyForm
     */
    public function setLabel($label = null)
    {
        // validation for constraint: string
        if (!is_null($label) && !is_string($label)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($label)), __LINE__);
        }
        $this->label = $label;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpCompanyForm
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
