<?php

namespace App\ExternalApis\ConsendoAxp\Soap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AxpConsultant StructType
 * @subpackage Structs
 */
class AxpConsultant extends AbstractStructBase
{
    /**
     * The uid
     * @var int
     */
    public $uid;
    /**
     * The did
     * @var int
     */
    public $did;
    /**
     * The cons_id
     * @var string
     */
    public $cons_id;
    /**
     * The name
     * @var string
     */
    public $name;
    /**
     * The unit
     * @var int
     */
    public $unit;
    /**
     * The classification
     * @var int
     */
    public $classification;
    /**
     * The phone_ip
     * @var string
     */
    public $phone_ip;
    /**
     * The report_level
     * @var int
     */
    public $report_level;
    /**
     * The mail_sig_file_id
     * @var int
     */
    public $mail_sig_file_id;
    /**
     * The printout_sig_file_id
     * @var int
     */
    public $printout_sig_file_id;
    /**
     * Constructor method for AxpConsultant
     * @uses AxpConsultant::setUid()
     * @uses AxpConsultant::setDid()
     * @uses AxpConsultant::setCons_id()
     * @uses AxpConsultant::setName()
     * @uses AxpConsultant::setUnit()
     * @uses AxpConsultant::setClassification()
     * @uses AxpConsultant::setPhone_ip()
     * @uses AxpConsultant::setReport_level()
     * @uses AxpConsultant::setMail_sig_file_id()
     * @uses AxpConsultant::setPrintout_sig_file_id()
     * @param int $uid
     * @param int $did
     * @param string $cons_id
     * @param string $name
     * @param int $unit
     * @param int $classification
     * @param string $phone_ip
     * @param int $report_level
     * @param int $mail_sig_file_id
     * @param int $printout_sig_file_id
     */
    public function __construct($uid = null, $did = null, $cons_id = null, $name = null, $unit = null, $classification = null, $phone_ip = null, $report_level = null, $mail_sig_file_id = null, $printout_sig_file_id = null)
    {
        $this
            ->setUid($uid)
            ->setDid($did)
            ->setCons_id($cons_id)
            ->setName($name)
            ->setUnit($unit)
            ->setClassification($classification)
            ->setPhone_ip($phone_ip)
            ->setReport_level($report_level)
            ->setMail_sig_file_id($mail_sig_file_id)
            ->setPrintout_sig_file_id($printout_sig_file_id);
    }
    /**
     * Get uid value
     * @return int|null
     */
    public function getUid()
    {
        return $this->uid;
    }
    /**
     * Set uid value
     * @param int $uid
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpConsultant
     */
    public function setUid($uid = null)
    {
        // validation for constraint: int
        if (!is_null($uid) && !is_numeric($uid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($uid)), __LINE__);
        }
        $this->uid = $uid;
        return $this;
    }
    /**
     * Get did value
     * @return int|null
     */
    public function getDid()
    {
        return $this->did;
    }
    /**
     * Set did value
     * @param int $did
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpConsultant
     */
    public function setDid($did = null)
    {
        // validation for constraint: int
        if (!is_null($did) && !is_numeric($did)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($did)), __LINE__);
        }
        $this->did = $did;
        return $this;
    }
    /**
     * Get cons_id value
     * @return string|null
     */
    public function getCons_id()
    {
        return $this->cons_id;
    }
    /**
     * Set cons_id value
     * @param string $cons_id
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpConsultant
     */
    public function setCons_id($cons_id = null)
    {
        // validation for constraint: string
        if (!is_null($cons_id) && !is_string($cons_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cons_id)), __LINE__);
        }
        $this->cons_id = $cons_id;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpConsultant
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get unit value
     * @return int|null
     */
    public function getUnit()
    {
        return $this->unit;
    }
    /**
     * Set unit value
     * @param int $unit
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpConsultant
     */
    public function setUnit($unit = null)
    {
        // validation for constraint: int
        if (!is_null($unit) && !is_numeric($unit)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($unit)), __LINE__);
        }
        $this->unit = $unit;
        return $this;
    }
    /**
     * Get classification value
     * @return int|null
     */
    public function getClassification()
    {
        return $this->classification;
    }
    /**
     * Set classification value
     * @param int $classification
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpConsultant
     */
    public function setClassification($classification = null)
    {
        // validation for constraint: int
        if (!is_null($classification) && !is_numeric($classification)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($classification)), __LINE__);
        }
        $this->classification = $classification;
        return $this;
    }
    /**
     * Get phone_ip value
     * @return string|null
     */
    public function getPhone_ip()
    {
        return $this->phone_ip;
    }
    /**
     * Set phone_ip value
     * @param string $phone_ip
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpConsultant
     */
    public function setPhone_ip($phone_ip = null)
    {
        // validation for constraint: string
        if (!is_null($phone_ip) && !is_string($phone_ip)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($phone_ip)), __LINE__);
        }
        $this->phone_ip = $phone_ip;
        return $this;
    }
    /**
     * Get report_level value
     * @return int|null
     */
    public function getReport_level()
    {
        return $this->report_level;
    }
    /**
     * Set report_level value
     * @param int $report_level
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpConsultant
     */
    public function setReport_level($report_level = null)
    {
        // validation for constraint: int
        if (!is_null($report_level) && !is_numeric($report_level)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($report_level)), __LINE__);
        }
        $this->report_level = $report_level;
        return $this;
    }
    /**
     * Get mail_sig_file_id value
     * @return int|null
     */
    public function getMail_sig_file_id()
    {
        return $this->mail_sig_file_id;
    }
    /**
     * Set mail_sig_file_id value
     * @param int $mail_sig_file_id
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpConsultant
     */
    public function setMail_sig_file_id($mail_sig_file_id = null)
    {
        // validation for constraint: int
        if (!is_null($mail_sig_file_id) && !is_numeric($mail_sig_file_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($mail_sig_file_id)), __LINE__);
        }
        $this->mail_sig_file_id = $mail_sig_file_id;
        return $this;
    }
    /**
     * Get printout_sig_file_id value
     * @return int|null
     */
    public function getPrintout_sig_file_id()
    {
        return $this->printout_sig_file_id;
    }
    /**
     * Set printout_sig_file_id value
     * @param int $printout_sig_file_id
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpConsultant
     */
    public function setPrintout_sig_file_id($printout_sig_file_id = null)
    {
        // validation for constraint: int
        if (!is_null($printout_sig_file_id) && !is_numeric($printout_sig_file_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($printout_sig_file_id)), __LINE__);
        }
        $this->printout_sig_file_id = $printout_sig_file_id;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpConsultant
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
