<?php

namespace App\ExternalApis\ConsendoAxp\Soap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AxpCustomerContact StructType
 * @subpackage Structs
 */
class AxpCustomerContact extends AbstractStructBase
{
    /**
     * The uid
     * @var int
     */
    public $uid;
    /**
     * The cust_id
     * @var int
     */
    public $cust_id;
    /**
     * The cust_no
     * @var string
     */
    public $cust_no;
    /**
     * The fname
     * @var string
     */
    public $fname;
    /**
     * The lname
     * @var string
     */
    public $lname;
    /**
     * The title
     * @var string
     */
    public $title;
    /**
     * The email
     * @var string
     */
    public $email;
    /**
     * The phone
     * @var string
     */
    public $phone;
    /**
     * The mobile
     * @var string
     */
    public $mobile;
    /**
     * The active
     * @var bool
     */
    public $active;
    /**
     * The is_primary
     * @var bool
     */
    public $is_primary;
    /**
     * Constructor method for AxpCustomerContact
     * @uses AxpCustomerContact::setUid()
     * @uses AxpCustomerContact::setCust_id()
     * @uses AxpCustomerContact::setCust_no()
     * @uses AxpCustomerContact::setFname()
     * @uses AxpCustomerContact::setLname()
     * @uses AxpCustomerContact::setTitle()
     * @uses AxpCustomerContact::setEmail()
     * @uses AxpCustomerContact::setPhone()
     * @uses AxpCustomerContact::setMobile()
     * @uses AxpCustomerContact::setActive()
     * @uses AxpCustomerContact::setIs_primary()
     * @param int $uid
     * @param int $cust_id
     * @param string $cust_no
     * @param string $fname
     * @param string $lname
     * @param string $title
     * @param string $email
     * @param string $phone
     * @param string $mobile
     * @param bool $active
     * @param bool $is_primary
     */
    public function __construct($uid = null, $cust_id = null, $cust_no = null, $fname = null, $lname = null, $title = null, $email = null, $phone = null, $mobile = null, $active = null, $is_primary = null)
    {
        $this
            ->setUid($uid)
            ->setCust_id($cust_id)
            ->setCust_no($cust_no)
            ->setFname($fname)
            ->setLname($lname)
            ->setTitle($title)
            ->setEmail($email)
            ->setPhone($phone)
            ->setMobile($mobile)
            ->setActive($active)
            ->setIs_primary($is_primary);
    }
    /**
     * Get uid value
     * @return int|null
     */
    public function getUid()
    {
        return $this->uid;
    }
    /**
     * Set uid value
     * @param int $uid
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpCustomerContact
     */
    public function setUid($uid = null)
    {
        // validation for constraint: int
        if (!is_null($uid) && !is_numeric($uid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($uid)), __LINE__);
        }
        $this->uid = $uid;
        return $this;
    }
    /**
     * Get cust_id value
     * @return int|null
     */
    public function getCust_id()
    {
        return $this->cust_id;
    }
    /**
     * Set cust_id value
     * @param int $cust_id
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpCustomerContact
     */
    public function setCust_id($cust_id = null)
    {
        // validation for constraint: int
        if (!is_null($cust_id) && !is_numeric($cust_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($cust_id)), __LINE__);
        }
        $this->cust_id = $cust_id;
        return $this;
    }
    /**
     * Get cust_no value
     * @return string|null
     */
    public function getCust_no()
    {
        return $this->cust_no;
    }
    /**
     * Set cust_no value
     * @param string $cust_no
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpCustomerContact
     */
    public function setCust_no($cust_no = null)
    {
        // validation for constraint: string
        if (!is_null($cust_no) && !is_string($cust_no)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cust_no)), __LINE__);
        }
        $this->cust_no = $cust_no;
        return $this;
    }
    /**
     * Get fname value
     * @return string|null
     */
    public function getFname()
    {
        return $this->fname;
    }
    /**
     * Set fname value
     * @param string $fname
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpCustomerContact
     */
    public function setFname($fname = null)
    {
        // validation for constraint: string
        if (!is_null($fname) && !is_string($fname)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($fname)), __LINE__);
        }
        $this->fname = $fname;
        return $this;
    }
    /**
     * Get lname value
     * @return string|null
     */
    public function getLname()
    {
        return $this->lname;
    }
    /**
     * Set lname value
     * @param string $lname
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpCustomerContact
     */
    public function setLname($lname = null)
    {
        // validation for constraint: string
        if (!is_null($lname) && !is_string($lname)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($lname)), __LINE__);
        }
        $this->lname = $lname;
        return $this;
    }
    /**
     * Get title value
     * @return string|null
     */
    public function getTitle()
    {
        return $this->title;
    }
    /**
     * Set title value
     * @param string $title
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpCustomerContact
     */
    public function setTitle($title = null)
    {
        // validation for constraint: string
        if (!is_null($title) && !is_string($title)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($title)), __LINE__);
        }
        $this->title = $title;
        return $this;
    }
    /**
     * Get email value
     * @return string|null
     */
    public function getEmail()
    {
        return $this->email;
    }
    /**
     * Set email value
     * @param string $email
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpCustomerContact
     */
    public function setEmail($email = null)
    {
        // validation for constraint: string
        if (!is_null($email) && !is_string($email)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($email)), __LINE__);
        }
        $this->email = $email;
        return $this;
    }
    /**
     * Get phone value
     * @return string|null
     */
    public function getPhone()
    {
        return $this->phone;
    }
    /**
     * Set phone value
     * @param string $phone
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpCustomerContact
     */
    public function setPhone($phone = null)
    {
        // validation for constraint: string
        if (!is_null($phone) && !is_string($phone)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($phone)), __LINE__);
        }
        $this->phone = $phone;
        return $this;
    }
    /**
     * Get mobile value
     * @return string|null
     */
    public function getMobile()
    {
        return $this->mobile;
    }
    /**
     * Set mobile value
     * @param string $mobile
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpCustomerContact
     */
    public function setMobile($mobile = null)
    {
        // validation for constraint: string
        if (!is_null($mobile) && !is_string($mobile)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($mobile)), __LINE__);
        }
        $this->mobile = $mobile;
        return $this;
    }
    /**
     * Get active value
     * @return bool|null
     */
    public function getActive()
    {
        return $this->active;
    }
    /**
     * Set active value
     * @param bool $active
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpCustomerContact
     */
    public function setActive($active = null)
    {
        // validation for constraint: boolean
        if (!is_null($active) && !is_bool($active)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($active)), __LINE__);
        }
        $this->active = $active;
        return $this;
    }
    /**
     * Get is_primary value
     * @return bool|null
     */
    public function getIs_primary()
    {
        return $this->is_primary;
    }
    /**
     * Set is_primary value
     * @param bool $is_primary
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpCustomerContact
     */
    public function setIs_primary($is_primary = null)
    {
        // validation for constraint: boolean
        if (!is_null($is_primary) && !is_bool($is_primary)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($is_primary)), __LINE__);
        }
        $this->is_primary = $is_primary;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpCustomerContact
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
