<?php

namespace App\ExternalApis\ConsendoAxp\Soap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AxpGuestfieldData StructType
 * @subpackage Structs
 */
class AxpGuestfieldData extends AbstractStructBase
{
    /**
     * The fieldId
     * @var int
     */
    public $fieldId;
    /**
     * The data
     * @var string
     */
    public $data;
    /**
     * Constructor method for AxpGuestfieldData
     * @uses AxpGuestfieldData::setFieldId()
     * @uses AxpGuestfieldData::setData()
     * @param int $fieldId
     * @param string $data
     */
    public function __construct($fieldId = null, $data = null)
    {
        $this
            ->setFieldId($fieldId)
            ->setData($data);
    }
    /**
     * Get fieldId value
     * @return int|null
     */
    public function getFieldId()
    {
        return $this->fieldId;
    }
    /**
     * Set fieldId value
     * @param int $fieldId
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpGuestfieldData
     */
    public function setFieldId($fieldId = null)
    {
        // validation for constraint: int
        if (!is_null($fieldId) && !is_numeric($fieldId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($fieldId)), __LINE__);
        }
        $this->fieldId = $fieldId;
        return $this;
    }
    /**
     * Get data value
     * @return string|null
     */
    public function getData()
    {
        return $this->data;
    }
    /**
     * Set data value
     * @param string $data
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpGuestfieldData
     */
    public function setData($data = null)
    {
        // validation for constraint: string
        if (!is_null($data) && !is_string($data)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($data)), __LINE__);
        }
        $this->data = $data;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpGuestfieldData
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
