<?php

namespace App\ExternalApis\ConsendoAxp\Soap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AxpOrderLine StructType
 * @subpackage Structs
 */
class AxpOrderLine extends AbstractStructBase
{
    /**
     * The olid
     * @var int
     */
    public $olid;
    /**
     * The orid
     * @var int
     */
    public $orid;
    /**
     * The tid
     * @var int
     */
    public $tid;
    /**
     * The rating
     * @var int
     */
    public $rating;
    /**
     * The oral
     * @var bool
     */
    public $oral;
    /**
     * The printout
     * @var bool
     */
    public $printout;
    /**
     * The from_date
     * @var string
     */
    public $from_date;
    /**
     * The to_date
     * @var string
     */
    public $to_date;
    /**
     * The notified
     * @var bool
     */
    public $notified;
    /**
     * The contract
     * @var int
     */
    public $contract;
    /**
     * The contract_mod
     * @var int
     */
    public $contract_mod;
    /**
     * The price_customer
     * @var float
     */
    public $price_customer;
    /**
     * The price_temp
     * @var float
     */
    public $price_temp;
    /**
     * The flags
     * @var int
     */
    public $flags;
    /**
     * The consultantholder
     * @var int
     */
    public $consultantholder;
    /**
     * The parmgroup
     * @var int
     */
    public $parmgroup;
    /**
     * The added
     * @var string
     */
    public $added;
    /**
     * The standardworkertype
     * @var int
     */
    public $standardworkertype;
    /**
     * Constructor method for AxpOrderLine
     * @uses AxpOrderLine::setOlid()
     * @uses AxpOrderLine::setOrid()
     * @uses AxpOrderLine::setTid()
     * @uses AxpOrderLine::setRating()
     * @uses AxpOrderLine::setOral()
     * @uses AxpOrderLine::setPrintout()
     * @uses AxpOrderLine::setFrom_date()
     * @uses AxpOrderLine::setTo_date()
     * @uses AxpOrderLine::setNotified()
     * @uses AxpOrderLine::setContract()
     * @uses AxpOrderLine::setContract_mod()
     * @uses AxpOrderLine::setPrice_customer()
     * @uses AxpOrderLine::setPrice_temp()
     * @uses AxpOrderLine::setFlags()
     * @uses AxpOrderLine::setConsultantholder()
     * @uses AxpOrderLine::setParmgroup()
     * @uses AxpOrderLine::setAdded()
     * @uses AxpOrderLine::setStandardworkertype()
     * @param int $olid
     * @param int $orid
     * @param int $tid
     * @param int $rating
     * @param bool $oral
     * @param bool $printout
     * @param string $from_date
     * @param string $to_date
     * @param bool $notified
     * @param int $contract
     * @param int $contract_mod
     * @param float $price_customer
     * @param float $price_temp
     * @param int $flags
     * @param int $consultantholder
     * @param int $parmgroup
     * @param string $added
     * @param int $standardworkertype
     */
    public function __construct($olid = null, $orid = null, $tid = null, $rating = null, $oral = null, $printout = null, $from_date = null, $to_date = null, $notified = null, $contract = null, $contract_mod = null, $price_customer = null, $price_temp = null, $flags = null, $consultantholder = null, $parmgroup = null, $added = null, $standardworkertype = null)
    {
        $this
            ->setOlid($olid)
            ->setOrid($orid)
            ->setTid($tid)
            ->setRating($rating)
            ->setOral($oral)
            ->setPrintout($printout)
            ->setFrom_date($from_date)
            ->setTo_date($to_date)
            ->setNotified($notified)
            ->setContract($contract)
            ->setContract_mod($contract_mod)
            ->setPrice_customer($price_customer)
            ->setPrice_temp($price_temp)
            ->setFlags($flags)
            ->setConsultantholder($consultantholder)
            ->setParmgroup($parmgroup)
            ->setAdded($added)
            ->setStandardworkertype($standardworkertype);
    }
    /**
     * Get olid value
     * @return int|null
     */
    public function getOlid()
    {
        return $this->olid;
    }
    /**
     * Set olid value
     * @param int $olid
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setOlid($olid = null)
    {
        // validation for constraint: int
        if (!is_null($olid) && !is_numeric($olid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($olid)), __LINE__);
        }
        $this->olid = $olid;
        return $this;
    }
    /**
     * Get orid value
     * @return int|null
     */
    public function getOrid()
    {
        return $this->orid;
    }
    /**
     * Set orid value
     * @param int $orid
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setOrid($orid = null)
    {
        // validation for constraint: int
        if (!is_null($orid) && !is_numeric($orid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($orid)), __LINE__);
        }
        $this->orid = $orid;
        return $this;
    }
    /**
     * Get tid value
     * @return int|null
     */
    public function getTid()
    {
        return $this->tid;
    }
    /**
     * Set tid value
     * @param int $tid
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setTid($tid = null)
    {
        // validation for constraint: int
        if (!is_null($tid) && !is_numeric($tid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($tid)), __LINE__);
        }
        $this->tid = $tid;
        return $this;
    }
    /**
     * Get rating value
     * @return int|null
     */
    public function getRating()
    {
        return $this->rating;
    }
    /**
     * Set rating value
     * @param int $rating
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setRating($rating = null)
    {
        // validation for constraint: int
        if (!is_null($rating) && !is_numeric($rating)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($rating)), __LINE__);
        }
        $this->rating = $rating;
        return $this;
    }
    /**
     * Get oral value
     * @return bool|null
     */
    public function getOral()
    {
        return $this->oral;
    }
    /**
     * Set oral value
     * @param bool $oral
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setOral($oral = null)
    {
        // validation for constraint: boolean
        if (!is_null($oral) && !is_bool($oral)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($oral)), __LINE__);
        }
        $this->oral = $oral;
        return $this;
    }
    /**
     * Get printout value
     * @return bool|null
     */
    public function getPrintout()
    {
        return $this->printout;
    }
    /**
     * Set printout value
     * @param bool $printout
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setPrintout($printout = null)
    {
        // validation for constraint: boolean
        if (!is_null($printout) && !is_bool($printout)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($printout)), __LINE__);
        }
        $this->printout = $printout;
        return $this;
    }
    /**
     * Get from_date value
     * @return string|null
     */
    public function getFrom_date()
    {
        return $this->from_date;
    }
    /**
     * Set from_date value
     * @param string $from_date
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setFrom_date($from_date = null)
    {
        // validation for constraint: string
        if (!is_null($from_date) && !is_string($from_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($from_date)), __LINE__);
        }
        $this->from_date = $from_date;
        return $this;
    }
    /**
     * Get to_date value
     * @return string|null
     */
    public function getTo_date()
    {
        return $this->to_date;
    }
    /**
     * Set to_date value
     * @param string $to_date
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setTo_date($to_date = null)
    {
        // validation for constraint: string
        if (!is_null($to_date) && !is_string($to_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($to_date)), __LINE__);
        }
        $this->to_date = $to_date;
        return $this;
    }
    /**
     * Get notified value
     * @return bool|null
     */
    public function getNotified()
    {
        return $this->notified;
    }
    /**
     * Set notified value
     * @param bool $notified
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setNotified($notified = null)
    {
        // validation for constraint: boolean
        if (!is_null($notified) && !is_bool($notified)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($notified)), __LINE__);
        }
        $this->notified = $notified;
        return $this;
    }
    /**
     * Get contract value
     * @return int|null
     */
    public function getContract()
    {
        return $this->contract;
    }
    /**
     * Set contract value
     * @param int $contract
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setContract($contract = null)
    {
        // validation for constraint: int
        if (!is_null($contract) && !is_numeric($contract)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($contract)), __LINE__);
        }
        $this->contract = $contract;
        return $this;
    }
    /**
     * Get contract_mod value
     * @return int|null
     */
    public function getContract_mod()
    {
        return $this->contract_mod;
    }
    /**
     * Set contract_mod value
     * @param int $contract_mod
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setContract_mod($contract_mod = null)
    {
        // validation for constraint: int
        if (!is_null($contract_mod) && !is_numeric($contract_mod)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($contract_mod)), __LINE__);
        }
        $this->contract_mod = $contract_mod;
        return $this;
    }
    /**
     * Get price_customer value
     * @return float|null
     */
    public function getPrice_customer()
    {
        return $this->price_customer;
    }
    /**
     * Set price_customer value
     * @param float $price_customer
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setPrice_customer($price_customer = null)
    {
        $this->price_customer = $price_customer;
        return $this;
    }
    /**
     * Get price_temp value
     * @return float|null
     */
    public function getPrice_temp()
    {
        return $this->price_temp;
    }
    /**
     * Set price_temp value
     * @param float $price_temp
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setPrice_temp($price_temp = null)
    {
        $this->price_temp = $price_temp;
        return $this;
    }
    /**
     * Get flags value
     * @return int|null
     */
    public function getFlags()
    {
        return $this->flags;
    }
    /**
     * Set flags value
     * @param int $flags
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setFlags($flags = null)
    {
        // validation for constraint: int
        if (!is_null($flags) && !is_numeric($flags)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($flags)), __LINE__);
        }
        $this->flags = $flags;
        return $this;
    }
    /**
     * Get consultantholder value
     * @return int|null
     */
    public function getConsultantholder()
    {
        return $this->consultantholder;
    }
    /**
     * Set consultantholder value
     * @param int $consultantholder
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setConsultantholder($consultantholder = null)
    {
        // validation for constraint: int
        if (!is_null($consultantholder) && !is_numeric($consultantholder)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($consultantholder)), __LINE__);
        }
        $this->consultantholder = $consultantholder;
        return $this;
    }
    /**
     * Get parmgroup value
     * @return int|null
     */
    public function getParmgroup()
    {
        return $this->parmgroup;
    }
    /**
     * Set parmgroup value
     * @param int $parmgroup
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setParmgroup($parmgroup = null)
    {
        // validation for constraint: int
        if (!is_null($parmgroup) && !is_numeric($parmgroup)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($parmgroup)), __LINE__);
        }
        $this->parmgroup = $parmgroup;
        return $this;
    }
    /**
     * Get added value
     * @return string|null
     */
    public function getAdded()
    {
        return $this->added;
    }
    /**
     * Set added value
     * @param string $added
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setAdded($added = null)
    {
        // validation for constraint: string
        if (!is_null($added) && !is_string($added)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($added)), __LINE__);
        }
        $this->added = $added;
        return $this;
    }
    /**
     * Get standardworkertype value
     * @return int|null
     */
    public function getStandardworkertype()
    {
        return $this->standardworkertype;
    }
    /**
     * Set standardworkertype value
     * @param int $standardworkertype
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public function setStandardworkertype($standardworkertype = null)
    {
        // validation for constraint: int
        if (!is_null($standardworkertype) && !is_numeric($standardworkertype)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($standardworkertype)), __LINE__);
        }
        $this->standardworkertype = $standardworkertype;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpOrderLine
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
