<?php

namespace App\ExternalApis\ConsendoAxp\Soap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AxpPersonalInterest StructType
 * @subpackage Structs
 */
class AxpPersonalInterest extends AbstractStructBase
{
    /**
     * The piid
     * @var int
     */
    public $piid;
    /**
     * The label
     * @var string
     */
    public $label;
    /**
     * Constructor method for AxpPersonalInterest
     * @uses AxpPersonalInterest::setPiid()
     * @uses AxpPersonalInterest::setLabel()
     * @param int $piid
     * @param string $label
     */
    public function __construct($piid = null, $label = null)
    {
        $this
            ->setPiid($piid)
            ->setLabel($label);
    }
    /**
     * Get piid value
     * @return int|null
     */
    public function getPiid()
    {
        return $this->piid;
    }
    /**
     * Set piid value
     * @param int $piid
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpPersonalInterest
     */
    public function setPiid($piid = null)
    {
        // validation for constraint: int
        if (!is_null($piid) && !is_numeric($piid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($piid)), __LINE__);
        }
        $this->piid = $piid;
        return $this;
    }
    /**
     * Get label value
     * @return string|null
     */
    public function getLabel()
    {
        return $this->label;
    }
    /**
     * Set label value
     * @param string $label
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpPersonalInterest
     */
    public function setLabel($label = null)
    {
        // validation for constraint: string
        if (!is_null($label) && !is_string($label)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($label)), __LINE__);
        }
        $this->label = $label;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpPersonalInterest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
