<?php

namespace App\ExternalApis\ConsendoAxp\Soap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AxpProjectItem StructType
 * @subpackage Structs
 */
class AxpProjectItem extends AbstractStructBase
{
    /**
     * The projectItemLabel
     * @var string
     */
    public $projectItemLabel;
    /**
     * The projectItemName
     * @var string
     */
    public $projectItemName;
    /**
     * The projectItemAddr1
     * @var string
     */
    public $projectItemAddr1;
    /**
     * The projectItemAddr2
     * @var string
     */
    public $projectItemAddr2;
    /**
     * The projectItemZip
     * @var string
     */
    public $projectItemZip;
    /**
     * The projectItemCity
     * @var string
     */
    public $projectItemCity;
    /**
     * The projectItemCountry
     * @var string
     */
    public $projectItemCountry;
    /**
     * The projectItemPhone1
     * @var string
     */
    public $projectItemPhone1;
    /**
     * The projectItemPhone2
     * @var string
     */
    public $projectItemPhone2;
    /**
     * The projectItemPhoneWork
     * @var string
     */
    public $projectItemPhoneWork;
    /**
     * The projectItemFax
     * @var string
     */
    public $projectItemFax;
    /**
     * The projectItemEmail
     * @var string
     */
    public $projectItemEmail;
    /**
     * The projectItemFrom
     * @var string
     */
    public $projectItemFrom;
    /**
     * The projectItemTo
     * @var string
     */
    public $projectItemTo;
    /**
     * Constructor method for AxpProjectItem
     * @uses AxpProjectItem::setProjectItemLabel()
     * @uses AxpProjectItem::setProjectItemName()
     * @uses AxpProjectItem::setProjectItemAddr1()
     * @uses AxpProjectItem::setProjectItemAddr2()
     * @uses AxpProjectItem::setProjectItemZip()
     * @uses AxpProjectItem::setProjectItemCity()
     * @uses AxpProjectItem::setProjectItemCountry()
     * @uses AxpProjectItem::setProjectItemPhone1()
     * @uses AxpProjectItem::setProjectItemPhone2()
     * @uses AxpProjectItem::setProjectItemPhoneWork()
     * @uses AxpProjectItem::setProjectItemFax()
     * @uses AxpProjectItem::setProjectItemEmail()
     * @uses AxpProjectItem::setProjectItemFrom()
     * @uses AxpProjectItem::setProjectItemTo()
     * @param string $projectItemLabel
     * @param string $projectItemName
     * @param string $projectItemAddr1
     * @param string $projectItemAddr2
     * @param string $projectItemZip
     * @param string $projectItemCity
     * @param string $projectItemCountry
     * @param string $projectItemPhone1
     * @param string $projectItemPhone2
     * @param string $projectItemPhoneWork
     * @param string $projectItemFax
     * @param string $projectItemEmail
     * @param string $projectItemFrom
     * @param string $projectItemTo
     */
    public function __construct($projectItemLabel = null, $projectItemName = null, $projectItemAddr1 = null, $projectItemAddr2 = null, $projectItemZip = null, $projectItemCity = null, $projectItemCountry = null, $projectItemPhone1 = null, $projectItemPhone2 = null, $projectItemPhoneWork = null, $projectItemFax = null, $projectItemEmail = null, $projectItemFrom = null, $projectItemTo = null)
    {
        $this
            ->setProjectItemLabel($projectItemLabel)
            ->setProjectItemName($projectItemName)
            ->setProjectItemAddr1($projectItemAddr1)
            ->setProjectItemAddr2($projectItemAddr2)
            ->setProjectItemZip($projectItemZip)
            ->setProjectItemCity($projectItemCity)
            ->setProjectItemCountry($projectItemCountry)
            ->setProjectItemPhone1($projectItemPhone1)
            ->setProjectItemPhone2($projectItemPhone2)
            ->setProjectItemPhoneWork($projectItemPhoneWork)
            ->setProjectItemFax($projectItemFax)
            ->setProjectItemEmail($projectItemEmail)
            ->setProjectItemFrom($projectItemFrom)
            ->setProjectItemTo($projectItemTo);
    }
    /**
     * Get projectItemLabel value
     * @return string|null
     */
    public function getProjectItemLabel()
    {
        return $this->projectItemLabel;
    }
    /**
     * Set projectItemLabel value
     * @param string $projectItemLabel
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpProjectItem
     */
    public function setProjectItemLabel($projectItemLabel = null)
    {
        // validation for constraint: string
        if (!is_null($projectItemLabel) && !is_string($projectItemLabel)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($projectItemLabel)), __LINE__);
        }
        $this->projectItemLabel = $projectItemLabel;
        return $this;
    }
    /**
     * Get projectItemName value
     * @return string|null
     */
    public function getProjectItemName()
    {
        return $this->projectItemName;
    }
    /**
     * Set projectItemName value
     * @param string $projectItemName
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpProjectItem
     */
    public function setProjectItemName($projectItemName = null)
    {
        // validation for constraint: string
        if (!is_null($projectItemName) && !is_string($projectItemName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($projectItemName)), __LINE__);
        }
        $this->projectItemName = $projectItemName;
        return $this;
    }
    /**
     * Get projectItemAddr1 value
     * @return string|null
     */
    public function getProjectItemAddr1()
    {
        return $this->projectItemAddr1;
    }
    /**
     * Set projectItemAddr1 value
     * @param string $projectItemAddr1
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpProjectItem
     */
    public function setProjectItemAddr1($projectItemAddr1 = null)
    {
        // validation for constraint: string
        if (!is_null($projectItemAddr1) && !is_string($projectItemAddr1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($projectItemAddr1)), __LINE__);
        }
        $this->projectItemAddr1 = $projectItemAddr1;
        return $this;
    }
    /**
     * Get projectItemAddr2 value
     * @return string|null
     */
    public function getProjectItemAddr2()
    {
        return $this->projectItemAddr2;
    }
    /**
     * Set projectItemAddr2 value
     * @param string $projectItemAddr2
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpProjectItem
     */
    public function setProjectItemAddr2($projectItemAddr2 = null)
    {
        // validation for constraint: string
        if (!is_null($projectItemAddr2) && !is_string($projectItemAddr2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($projectItemAddr2)), __LINE__);
        }
        $this->projectItemAddr2 = $projectItemAddr2;
        return $this;
    }
    /**
     * Get projectItemZip value
     * @return string|null
     */
    public function getProjectItemZip()
    {
        return $this->projectItemZip;
    }
    /**
     * Set projectItemZip value
     * @param string $projectItemZip
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpProjectItem
     */
    public function setProjectItemZip($projectItemZip = null)
    {
        // validation for constraint: string
        if (!is_null($projectItemZip) && !is_string($projectItemZip)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($projectItemZip)), __LINE__);
        }
        $this->projectItemZip = $projectItemZip;
        return $this;
    }
    /**
     * Get projectItemCity value
     * @return string|null
     */
    public function getProjectItemCity()
    {
        return $this->projectItemCity;
    }
    /**
     * Set projectItemCity value
     * @param string $projectItemCity
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpProjectItem
     */
    public function setProjectItemCity($projectItemCity = null)
    {
        // validation for constraint: string
        if (!is_null($projectItemCity) && !is_string($projectItemCity)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($projectItemCity)), __LINE__);
        }
        $this->projectItemCity = $projectItemCity;
        return $this;
    }
    /**
     * Get projectItemCountry value
     * @return string|null
     */
    public function getProjectItemCountry()
    {
        return $this->projectItemCountry;
    }
    /**
     * Set projectItemCountry value
     * @param string $projectItemCountry
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpProjectItem
     */
    public function setProjectItemCountry($projectItemCountry = null)
    {
        // validation for constraint: string
        if (!is_null($projectItemCountry) && !is_string($projectItemCountry)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($projectItemCountry)), __LINE__);
        }
        $this->projectItemCountry = $projectItemCountry;
        return $this;
    }
    /**
     * Get projectItemPhone1 value
     * @return string|null
     */
    public function getProjectItemPhone1()
    {
        return $this->projectItemPhone1;
    }
    /**
     * Set projectItemPhone1 value
     * @param string $projectItemPhone1
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpProjectItem
     */
    public function setProjectItemPhone1($projectItemPhone1 = null)
    {
        // validation for constraint: string
        if (!is_null($projectItemPhone1) && !is_string($projectItemPhone1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($projectItemPhone1)), __LINE__);
        }
        $this->projectItemPhone1 = $projectItemPhone1;
        return $this;
    }
    /**
     * Get projectItemPhone2 value
     * @return string|null
     */
    public function getProjectItemPhone2()
    {
        return $this->projectItemPhone2;
    }
    /**
     * Set projectItemPhone2 value
     * @param string $projectItemPhone2
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpProjectItem
     */
    public function setProjectItemPhone2($projectItemPhone2 = null)
    {
        // validation for constraint: string
        if (!is_null($projectItemPhone2) && !is_string($projectItemPhone2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($projectItemPhone2)), __LINE__);
        }
        $this->projectItemPhone2 = $projectItemPhone2;
        return $this;
    }
    /**
     * Get projectItemPhoneWork value
     * @return string|null
     */
    public function getProjectItemPhoneWork()
    {
        return $this->projectItemPhoneWork;
    }
    /**
     * Set projectItemPhoneWork value
     * @param string $projectItemPhoneWork
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpProjectItem
     */
    public function setProjectItemPhoneWork($projectItemPhoneWork = null)
    {
        // validation for constraint: string
        if (!is_null($projectItemPhoneWork) && !is_string($projectItemPhoneWork)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($projectItemPhoneWork)), __LINE__);
        }
        $this->projectItemPhoneWork = $projectItemPhoneWork;
        return $this;
    }
    /**
     * Get projectItemFax value
     * @return string|null
     */
    public function getProjectItemFax()
    {
        return $this->projectItemFax;
    }
    /**
     * Set projectItemFax value
     * @param string $projectItemFax
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpProjectItem
     */
    public function setProjectItemFax($projectItemFax = null)
    {
        // validation for constraint: string
        if (!is_null($projectItemFax) && !is_string($projectItemFax)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($projectItemFax)), __LINE__);
        }
        $this->projectItemFax = $projectItemFax;
        return $this;
    }
    /**
     * Get projectItemEmail value
     * @return string|null
     */
    public function getProjectItemEmail()
    {
        return $this->projectItemEmail;
    }
    /**
     * Set projectItemEmail value
     * @param string $projectItemEmail
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpProjectItem
     */
    public function setProjectItemEmail($projectItemEmail = null)
    {
        // validation for constraint: string
        if (!is_null($projectItemEmail) && !is_string($projectItemEmail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($projectItemEmail)), __LINE__);
        }
        $this->projectItemEmail = $projectItemEmail;
        return $this;
    }
    /**
     * Get projectItemFrom value
     * @return string|null
     */
    public function getProjectItemFrom()
    {
        return $this->projectItemFrom;
    }
    /**
     * Set projectItemFrom value
     * @param string $projectItemFrom
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpProjectItem
     */
    public function setProjectItemFrom($projectItemFrom = null)
    {
        // validation for constraint: string
        if (!is_null($projectItemFrom) && !is_string($projectItemFrom)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($projectItemFrom)), __LINE__);
        }
        $this->projectItemFrom = $projectItemFrom;
        return $this;
    }
    /**
     * Get projectItemTo value
     * @return string|null
     */
    public function getProjectItemTo()
    {
        return $this->projectItemTo;
    }
    /**
     * Set projectItemTo value
     * @param string $projectItemTo
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpProjectItem
     */
    public function setProjectItemTo($projectItemTo = null)
    {
        // validation for constraint: string
        if (!is_null($projectItemTo) && !is_string($projectItemTo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($projectItemTo)), __LINE__);
        }
        $this->projectItemTo = $projectItemTo;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpProjectItem
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
