<?php

namespace App\ExternalApis\ConsendoAxp\Soap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AxpTempSkillGroups StructType
 * @subpackage Structs
 */
class AxpTempSkillGroups extends AbstractStructBase
{
    /**
     * The sgid
     * @var int
     */
    public $sgid;
    /**
     * The label
     * @var string
     */
    public $label;
    /**
     * The proftype
     * @var int
     */
    public $proftype;
    /**
     * The exp
     * @var bool
     */
    public $exp;
    /**
     * The lastused
     * @var bool
     */
    public $lastused;
    /**
     * The permissions
     * @var int
     */
    public $permissions;
    /**
     * The searchmode
     * @var int
     */
    public $searchmode;
    /**
     * The searchrating
     * @var int
     */
    public $searchrating;
    /**
     * The searchmultimode
     * @var int
     */
    public $searchmultimode;
    /**
     * Constructor method for AxpTempSkillGroups
     * @uses AxpTempSkillGroups::setSgid()
     * @uses AxpTempSkillGroups::setLabel()
     * @uses AxpTempSkillGroups::setProftype()
     * @uses AxpTempSkillGroups::setExp()
     * @uses AxpTempSkillGroups::setLastused()
     * @uses AxpTempSkillGroups::setPermissions()
     * @uses AxpTempSkillGroups::setSearchmode()
     * @uses AxpTempSkillGroups::setSearchrating()
     * @uses AxpTempSkillGroups::setSearchmultimode()
     * @param int $sgid
     * @param string $label
     * @param int $proftype
     * @param bool $exp
     * @param bool $lastused
     * @param int $permissions
     * @param int $searchmode
     * @param int $searchrating
     * @param int $searchmultimode
     */
    public function __construct($sgid = null, $label = null, $proftype = null, $exp = null, $lastused = null, $permissions = null, $searchmode = null, $searchrating = null, $searchmultimode = null)
    {
        $this
            ->setSgid($sgid)
            ->setLabel($label)
            ->setProftype($proftype)
            ->setExp($exp)
            ->setLastused($lastused)
            ->setPermissions($permissions)
            ->setSearchmode($searchmode)
            ->setSearchrating($searchrating)
            ->setSearchmultimode($searchmultimode);
    }
    /**
     * Get sgid value
     * @return int|null
     */
    public function getSgid()
    {
        return $this->sgid;
    }
    /**
     * Set sgid value
     * @param int $sgid
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkillGroups
     */
    public function setSgid($sgid = null)
    {
        // validation for constraint: int
        if (!is_null($sgid) && !is_numeric($sgid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($sgid)), __LINE__);
        }
        $this->sgid = $sgid;
        return $this;
    }
    /**
     * Get label value
     * @return string|null
     */
    public function getLabel()
    {
        return $this->label;
    }
    /**
     * Set label value
     * @param string $label
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkillGroups
     */
    public function setLabel($label = null)
    {
        // validation for constraint: string
        if (!is_null($label) && !is_string($label)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($label)), __LINE__);
        }
        $this->label = $label;
        return $this;
    }
    /**
     * Get proftype value
     * @return int|null
     */
    public function getProftype()
    {
        return $this->proftype;
    }
    /**
     * Set proftype value
     * @param int $proftype
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkillGroups
     */
    public function setProftype($proftype = null)
    {
        // validation for constraint: int
        if (!is_null($proftype) && !is_numeric($proftype)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($proftype)), __LINE__);
        }
        $this->proftype = $proftype;
        return $this;
    }
    /**
     * Get exp value
     * @return bool|null
     */
    public function getExp()
    {
        return $this->exp;
    }
    /**
     * Set exp value
     * @param bool $exp
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkillGroups
     */
    public function setExp($exp = null)
    {
        // validation for constraint: boolean
        if (!is_null($exp) && !is_bool($exp)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($exp)), __LINE__);
        }
        $this->exp = $exp;
        return $this;
    }
    /**
     * Get lastused value
     * @return bool|null
     */
    public function getLastused()
    {
        return $this->lastused;
    }
    /**
     * Set lastused value
     * @param bool $lastused
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkillGroups
     */
    public function setLastused($lastused = null)
    {
        // validation for constraint: boolean
        if (!is_null($lastused) && !is_bool($lastused)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($lastused)), __LINE__);
        }
        $this->lastused = $lastused;
        return $this;
    }
    /**
     * Get permissions value
     * @return int|null
     */
    public function getPermissions()
    {
        return $this->permissions;
    }
    /**
     * Set permissions value
     * @param int $permissions
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkillGroups
     */
    public function setPermissions($permissions = null)
    {
        // validation for constraint: int
        if (!is_null($permissions) && !is_numeric($permissions)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($permissions)), __LINE__);
        }
        $this->permissions = $permissions;
        return $this;
    }
    /**
     * Get searchmode value
     * @return int|null
     */
    public function getSearchmode()
    {
        return $this->searchmode;
    }
    /**
     * Set searchmode value
     * @param int $searchmode
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkillGroups
     */
    public function setSearchmode($searchmode = null)
    {
        // validation for constraint: int
        if (!is_null($searchmode) && !is_numeric($searchmode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($searchmode)), __LINE__);
        }
        $this->searchmode = $searchmode;
        return $this;
    }
    /**
     * Get searchrating value
     * @return int|null
     */
    public function getSearchrating()
    {
        return $this->searchrating;
    }
    /**
     * Set searchrating value
     * @param int $searchrating
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkillGroups
     */
    public function setSearchrating($searchrating = null)
    {
        // validation for constraint: int
        if (!is_null($searchrating) && !is_numeric($searchrating)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($searchrating)), __LINE__);
        }
        $this->searchrating = $searchrating;
        return $this;
    }
    /**
     * Get searchmultimode value
     * @return int|null
     */
    public function getSearchmultimode()
    {
        return $this->searchmultimode;
    }
    /**
     * Set searchmultimode value
     * @param int $searchmultimode
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkillGroups
     */
    public function setSearchmultimode($searchmultimode = null)
    {
        // validation for constraint: int
        if (!is_null($searchmultimode) && !is_numeric($searchmultimode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($searchmultimode)), __LINE__);
        }
        $this->searchmultimode = $searchmultimode;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkillGroups
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
