<?php

namespace App\ExternalApis\ConsendoAxp\Soap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AxpTempSkills StructType
 * @subpackage Structs
 */
class AxpTempSkills extends AbstractStructBase
{
    /**
     * The tid
     * @var int
     */
    public $tid;
    /**
     * The sid
     * @var string
     */
    public $sid;
    /**
     * The label
     * @var string
     */
    public $label;
    /**
     * The exp
     * @var int
     */
    public $exp;
    /**
     * The prof
     * @var string
     */
    public $prof;
    /**
     * The lastuse
     * @var string
     */
    public $lastuse;
    /**
     * The short_lastuse
     * @var int
     */
    public $short_lastuse;
    /**
     * The required
     * @var bool
     */
    public $required;
    /**
     * The sgid
     * @var int
     */
    public $sgid;
    /**
     * Constructor method for AxpTempSkills
     * @uses AxpTempSkills::setTid()
     * @uses AxpTempSkills::setSid()
     * @uses AxpTempSkills::setLabel()
     * @uses AxpTempSkills::setExp()
     * @uses AxpTempSkills::setProf()
     * @uses AxpTempSkills::setLastuse()
     * @uses AxpTempSkills::setShort_lastuse()
     * @uses AxpTempSkills::setRequired()
     * @uses AxpTempSkills::setSgid()
     * @param int $tid
     * @param string $sid
     * @param string $label
     * @param int $exp
     * @param string $prof
     * @param string $lastuse
     * @param int $short_lastuse
     * @param bool $required
     * @param int $sgid
     */
    public function __construct($tid = null, $sid = null, $label = null, $exp = null, $prof = null, $lastuse = null, $short_lastuse = null, $required = null, $sgid = null)
    {
        $this
            ->setTid($tid)
            ->setSid($sid)
            ->setLabel($label)
            ->setExp($exp)
            ->setProf($prof)
            ->setLastuse($lastuse)
            ->setShort_lastuse($short_lastuse)
            ->setRequired($required)
            ->setSgid($sgid);
    }
    /**
     * Get tid value
     * @return int|null
     */
    public function getTid()
    {
        return $this->tid;
    }
    /**
     * Set tid value
     * @param int $tid
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkills
     */
    public function setTid($tid = null)
    {
        // validation for constraint: int
        if (!is_null($tid) && !is_numeric($tid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($tid)), __LINE__);
        }
        $this->tid = $tid;
        return $this;
    }
    /**
     * Get sid value
     * @return string|null
     */
    public function getSid()
    {
        return $this->sid;
    }
    /**
     * Set sid value
     * @param string $sid
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkills
     */
    public function setSid($sid = null)
    {
        // validation for constraint: string
        if (!is_null($sid) && !is_string($sid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sid)), __LINE__);
        }
        $this->sid = $sid;
        return $this;
    }
    /**
     * Get label value
     * @return string|null
     */
    public function getLabel()
    {
        return $this->label;
    }
    /**
     * Set label value
     * @param string $label
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkills
     */
    public function setLabel($label = null)
    {
        // validation for constraint: string
        if (!is_null($label) && !is_string($label)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($label)), __LINE__);
        }
        $this->label = $label;
        return $this;
    }
    /**
     * Get exp value
     * @return int|null
     */
    public function getExp()
    {
        return $this->exp;
    }
    /**
     * Set exp value
     * @param int $exp
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkills
     */
    public function setExp($exp = null)
    {
        // validation for constraint: int
        if (!is_null($exp) && !is_numeric($exp)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($exp)), __LINE__);
        }
        $this->exp = $exp;
        return $this;
    }
    /**
     * Get prof value
     * @return string|null
     */
    public function getProf()
    {
        return $this->prof;
    }
    /**
     * Set prof value
     * @param string $prof
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkills
     */
    public function setProf($prof = null)
    {
        // validation for constraint: string
        if (!is_null($prof) && !is_string($prof)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($prof)), __LINE__);
        }
        $this->prof = $prof;
        return $this;
    }
    /**
     * Get lastuse value
     * @return string|null
     */
    public function getLastuse()
    {
        return $this->lastuse;
    }
    /**
     * Set lastuse value
     * @param string $lastuse
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkills
     */
    public function setLastuse($lastuse = null)
    {
        // validation for constraint: string
        if (!is_null($lastuse) && !is_string($lastuse)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($lastuse)), __LINE__);
        }
        $this->lastuse = $lastuse;
        return $this;
    }
    /**
     * Get short_lastuse value
     * @return int|null
     */
    public function getShort_lastuse()
    {
        return $this->short_lastuse;
    }
    /**
     * Set short_lastuse value
     * @param int $short_lastuse
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkills
     */
    public function setShort_lastuse($short_lastuse = null)
    {
        // validation for constraint: int
        if (!is_null($short_lastuse) && !is_numeric($short_lastuse)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($short_lastuse)), __LINE__);
        }
        $this->short_lastuse = $short_lastuse;
        return $this;
    }
    /**
     * Get required value
     * @return bool|null
     */
    public function getRequired()
    {
        return $this->required;
    }
    /**
     * Set required value
     * @param bool $required
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkills
     */
    public function setRequired($required = null)
    {
        // validation for constraint: boolean
        if (!is_null($required) && !is_bool($required)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($required)), __LINE__);
        }
        $this->required = $required;
        return $this;
    }
    /**
     * Get sgid value
     * @return int|null
     */
    public function getSgid()
    {
        return $this->sgid;
    }
    /**
     * Set sgid value
     * @param int $sgid
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkills
     */
    public function setSgid($sgid = null)
    {
        // validation for constraint: int
        if (!is_null($sgid) && !is_numeric($sgid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($sgid)), __LINE__);
        }
        $this->sgid = $sgid;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\AxpTempSkills
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
