<?php

namespace App\ExternalApis\ConsendoAxp\Soap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ErpGuestData StructType
 * @subpackage Structs
 */
class ErpGuestData extends AbstractStructBase
{
    /**
     * The fieldId
     * @var int
     */
    public $fieldId;
    /**
     * The label
     * @var string
     */
    public $label;
    /**
     * The descr
     * @var string
     */
    public $descr;
    /**
     * Constructor method for ErpGuestData
     * @uses ErpGuestData::setFieldId()
     * @uses ErpGuestData::setLabel()
     * @uses ErpGuestData::setDescr()
     * @param int $fieldId
     * @param string $label
     * @param string $descr
     */
    public function __construct($fieldId = null, $label = null, $descr = null)
    {
        $this
            ->setFieldId($fieldId)
            ->setLabel($label)
            ->setDescr($descr);
    }
    /**
     * Get fieldId value
     * @return int|null
     */
    public function getFieldId()
    {
        return $this->fieldId;
    }
    /**
     * Set fieldId value
     * @param int $fieldId
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\ErpGuestData
     */
    public function setFieldId($fieldId = null)
    {
        // validation for constraint: int
        if (!is_null($fieldId) && !is_numeric($fieldId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($fieldId)), __LINE__);
        }
        $this->fieldId = $fieldId;
        return $this;
    }
    /**
     * Get label value
     * @return string|null
     */
    public function getLabel()
    {
        return $this->label;
    }
    /**
     * Set label value
     * @param string $label
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\ErpGuestData
     */
    public function setLabel($label = null)
    {
        // validation for constraint: string
        if (!is_null($label) && !is_string($label)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($label)), __LINE__);
        }
        $this->label = $label;
        return $this;
    }
    /**
     * Get descr value
     * @return string|null
     */
    public function getDescr()
    {
        return $this->descr;
    }
    /**
     * Set descr value
     * @param string $descr
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\ErpGuestData
     */
    public function setDescr($descr = null)
    {
        // validation for constraint: string
        if (!is_null($descr) && !is_string($descr)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($descr)), __LINE__);
        }
        $this->descr = $descr;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\ErpGuestData
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
