<?php

namespace App\ExternalApis\ConsendoAxp\Soap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for registrationDataTime StructType
 * @subpackage Structs
 */
class RegistrationDataTime extends AbstractStructBase
{
    /**
     * The rday
     * @var string
     */
    public $rday;
    /**
     * The from_time
     * @var string
     */
    public $from_time;
    /**
     * The to_time
     * @var string
     */
    public $to_time;
    /**
     * The break_hours
     * @var float
     */
    public $break_hours;
    /**
     * Constructor method for registrationDataTime
     * @uses RegistrationDataTime::setRday()
     * @uses RegistrationDataTime::setFrom_time()
     * @uses RegistrationDataTime::setTo_time()
     * @uses RegistrationDataTime::setBreak_hours()
     * @param string $rday
     * @param string $from_time
     * @param string $to_time
     * @param float $break_hours
     */
    public function __construct($rday = null, $from_time = null, $to_time = null, $break_hours = null)
    {
        $this
            ->setRday($rday)
            ->setFrom_time($from_time)
            ->setTo_time($to_time)
            ->setBreak_hours($break_hours);
    }
    /**
     * Get rday value
     * @return string|null
     */
    public function getRday()
    {
        return $this->rday;
    }
    /**
     * Set rday value
     * @param string $rday
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\RegistrationDataTime
     */
    public function setRday($rday = null)
    {
        // validation for constraint: string
        if (!is_null($rday) && !is_string($rday)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($rday)), __LINE__);
        }
        $this->rday = $rday;
        return $this;
    }
    /**
     * Get from_time value
     * @return string|null
     */
    public function getFrom_time()
    {
        return $this->from_time;
    }
    /**
     * Set from_time value
     * @param string $from_time
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\RegistrationDataTime
     */
    public function setFrom_time($from_time = null)
    {
        // validation for constraint: string
        if (!is_null($from_time) && !is_string($from_time)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($from_time)), __LINE__);
        }
        $this->from_time = $from_time;
        return $this;
    }
    /**
     * Get to_time value
     * @return string|null
     */
    public function getTo_time()
    {
        return $this->to_time;
    }
    /**
     * Set to_time value
     * @param string $to_time
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\RegistrationDataTime
     */
    public function setTo_time($to_time = null)
    {
        // validation for constraint: string
        if (!is_null($to_time) && !is_string($to_time)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($to_time)), __LINE__);
        }
        $this->to_time = $to_time;
        return $this;
    }
    /**
     * Get break_hours value
     * @return float|null
     */
    public function getBreak_hours()
    {
        return $this->break_hours;
    }
    /**
     * Set break_hours value
     * @param float $break_hours
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\RegistrationDataTime
     */
    public function setBreak_hours($break_hours = null)
    {
        $this->break_hours = $break_hours;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\ExternalApis\ConsendoAxp\Soap\StructType\RegistrationDataTime
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
